package de.bokeh.icfp2008;

/**
 * Strategy for computing commands.
 */
public interface Strategy {

    /**
     * Compute next commands.
     * @param accel 1-element array to store the acceleration command
     * @param turn 1-element array to store the turning command.
     */
    public void getCommands(AccelerationState[] accel, TurningState[] turn);
    
}
