package de.bokeh.icfp2008;

/**
 * Values given in the trial initialization message.
 */
public class TrialSpecs {

    /**
     * Span of the map's x-axis in meters.
     */
    double dx;

    /**
     * Span of the map's y-axis in meters.
     */
    double dy;

    /**
     * Map time limit in milliseconds.
     */
    int timeLimit;

    /**
     * Minimum sensor range in meters.
     */
    double minSensor;

    /**
     * Maximum sensor range in meters.
     */
    double maxSensor;

    /**
     * Maximum vehicle speed in meters per second.
     */
    double maxSpeed;

    /**
     * Maximum rotational speed when turning, in degrees per second.
     */
    double maxTurn;

    /**
     * Maximum rotational speed when turning hard, in degrees per second.
     */
    double maxHardTurn;

    public String toString() {
        return "TrialSpecs{dx=" + dx +
        ", dy=" + dy +
        ", timeLimit=" + timeLimit +
        ", minSensor=" + minSensor +
        ", maxSensor=" + maxSensor +
        ", maxSpeed=" + maxSpeed +
        ", maxTurn=" + maxTurn +
        ", maxHardTurn=" + maxHardTurn
        + "}";
    }
}
